aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-09-21 14:31:45 +0000
committerJakub Jirutka <jakub@jirutka.cz>2016-09-23 13:22:15 +0200
commit334aa82ab748b59f8afa8947262d3290535ee93f (patch)
tree7ec48752398975cda8eda958033518549aa27bb2
parent3a8253f2276c952f0ca136e45a385b7371aca1f0 (diff)
downloadaports-334aa82ab748b59f8afa8947262d3290535ee93f.tar.bz2
aports-334aa82ab748b59f8afa8947262d3290535ee93f.tar.xz
community/numix-themes: update to 2.6.4
-rw-r--r--community/numix-themes/APKBUILD38
1 files changed, 16 insertions, 22 deletions
diff --git a/community/numix-themes/APKBUILD b/community/numix-themes/APKBUILD
index 16d3c941a2..9a807a3fc3 100644
--- a/community/numix-themes/APKBUILD
+++ b/community/numix-themes/APKBUILD
@@ -1,30 +1,19 @@
# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
pkgname=numix-themes
_pkgname=numix-gtk-theme
-pkgver=2.6.1
+pkgver=2.6.4
pkgrel=0
pkgdesc="A modern flat theme with a combination of light and dark elements, GTK 2 and 3"
url="http://shimmerproject.org/project/Numix/"
arch="noarch"
license="GPLv3"
-makedepends="$depends_dev"
subpackages="$pkgname-gtk2 $pkgname-gtk3 $pkgname-metacity $pkgname-xfwm4 $pkgname-xfce4-notifyd:_notify
$pkgname-openbox:_openbox"
source="numix-$pkgver.tar.gz::https://github.com/numixproject/$_pkgname/archive/$pkgver.tar.gz"
-
-_builddir="$srcdir"/$_pkgname-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir/$_pkgname-$pkgver/src"
build() {
- cd "$_builddir"
+ cd "$builddir"
# Remove Unity theme
rm -f gtk-3.0/apps/unity.css
sed -i '/unity\.css/d' gtk-3.0/gtk.css
@@ -32,24 +21,29 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
mkdir -p "$pkgdir"/usr/share/themes/Numix
- cp -pr * "$pkgdir"/usr/share/themes/Numix
- rm -f "$pkgdir"/usr/share/themes/Numix/Makefile
+ cp -pr ../* "$pkgdir"/usr/share/themes/Numix
+ mv index.theme "$pkgdir"/usr/share/themes/Numix
+ cd "$pkgdir"/usr/share/themes/Numix
+ rm -rf src/assets scripts Makefile
}
_mv() {
pkgdesc="$1"
install_if="$pkgname=$pkgver-r$pkgrel $2";
- depends=
local _i
shift; shift
mkdir -p "$subpkgdir"/usr/share/themes/Numix
for _i; do
msg "moving $_i"
- mv "$pkgdir"/usr/share/themes/Numix/$_i \
+ mv "$pkgdir"/usr/share/themes/Numix/src/$_i \
"$subpkgdir"/usr/share/themes/Numix || return 1
done
+ # index.theme remains in src despite being moved in package().
+ rm -f "$pkgdir"/usr/share/themes/Numix/src/index.theme 2>/dev/null || true
+ # Remove the empty top level src directory after moving finishes.
+ rmdir "$pkgdir"/usr/share/themes/Numix/src 2>/dev/null || true
}
gtk2() {
@@ -63,6 +57,6 @@ xfwm4() { _mv "Numix Xfce4 themes" xfwm4 xfwm4; }
_notify() { _mv "Numix Xfce4-notifyd themes" xfce4-notifyd xfce-notify-4.0; }
_openbox() { _mv "Numix openbox themes" openbox openbox-3; }
-md5sums="499e2e8e9d7d1d81403ebf8f65c8ced6 numix-2.6.1.tar.gz"
-sha256sums="7d81fb0fe7a50f933ae8016154a6da8ea4f6c12d988f735db277424af344a5bf numix-2.6.1.tar.gz"
-sha512sums="ebdbf20049b84141b10bafa93685f844b59ae629d19ede0eef44afafa18357cb54d66cb830a67bf09ab251b04dbf21193e7bc5ea19124061d7fd8dbf4538a745 numix-2.6.1.tar.gz"
+md5sums="cdaca5ede2a40000d383d200e01c0395 numix-2.6.4.tar.gz"
+sha256sums="f70cad6608d9a1b4819eaf6b51fc03d5c75971ff8f08080ac2eb9a5d8e386e6f numix-2.6.4.tar.gz"
+sha512sums="a546f6214095a1b1d808e317ff4f3471962afacd20b5b3b4e1bc46bb604d5d9d4162b2358048dcf02f4fb2d7290ce5cfbc82a4f4e1bf07ca186ca6f54789d586 numix-2.6.4.tar.gz"